# h266parse

The H266 NAL Parse

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseParse
                        ╰──h266parse

## Factory details

Authors: – Hongcheng Zhong

Classification: – `Codec/Parser/Converter/Video`

Rank – secondary

Plugin – videoparsersbad

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-h266:

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-h266:
             parsed: true
      stream-format: { (string)vvc1, (string)vvi1, (string)byte-stream }
          alignment: { (string)au, (string)nal }

Presence – always

Direction – src

Object type – GstPad

## Properties

### config-interval

    “config-interval” gint

The interval in seconds to send the VPS, SPS and PPS insertion.

Flags : Read / Write / Construct

Default value : 0

Since : 1.26

The results of the search are